Skip to content

List accounts

GET
/v1/accounts
curl --request GET \
--url https://api-v1.tailwind.ai/v1/accounts \
--header 'Authorization: Bearer <token>'

List all Pinterest accounts for the authenticated organization.

List of accounts

Media typeapplication/json
object
data
object
accounts
Array<object>
object
id

Account ID

string
userId

Pinterest user ID

string
displayName

Display name

string
nullable
username

Pinterest username

string
nullable
avatarUrl

Profile image URL

string
nullable
tokenAuthorized

Whether the Pinterest token is valid

boolean
isDomainVerified

Whether the domain is verified

boolean
createdAt

When the account was connected (Unix timestamp)

integer
nullable
meta
object
requestId

Unique request ID for debugging

string
Examplegenerated
{
"data": {
"accounts": [
{
"id": "example",
"userId": "example",
"displayName": "example",
"username": "example",
"avatarUrl": "example",
"tokenAuthorized": true,
"isDomainVerified": true,
"createdAt": 1
}
]
},
"meta": {
"requestId": "example"
}
}

Authentication required or invalid bearer credentials

Media typeapplication/json
object
error
object
code

Error code

string
message

Error message

string
reason

Machine-readable denial reason. Present on PAYMENT_REQUIRED errors: insufficient_credits, trial_exhausted, no_access, account_not_connected.

string
meta
object
requestId

Unique request ID for debugging

string
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
},
"meta": {
"requestId": "abc123"
}
}

Rate limit exceeded

Media typeapplication/json
object
error
object
code

Error code

string
message

Error message

string
reason

Machine-readable denial reason. Present on PAYMENT_REQUIRED errors: insufficient_credits, trial_exhausted, no_access, account_not_connected.

string
meta
object
requestId

Unique request ID for debugging

string
Example
{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Daily rate limit of 5000 requests exceeded. Resets at midnight UTC."
},
"meta": {
"requestId": "abc123"
}
}